define s = Character("STEVENS", color="#3D7C94", what_layout='subtitle')
define a = Character("ALINA", color="#92766B", what_layout='subtitle')
define n = Character("NIP", color="#60884c", what_layout='subtitle')

image snow0 = Fixed(SnowBlossom("snow0.png", 10, xspeed=(0, 50), yspeed=(175, 200), start=100)) #, fast=True
image snow1 = Fixed(SnowBlossom("snow1.png", 10, xspeed=(0, 30), yspeed=(150, 175), start=100))
image snow2 = Fixed(SnowBlossom("snow2.png", 10, xspeed=(0, 10), yspeed=(125, 150), start=100))

transform alina_reveal:
    on show:
        ypos 1080 yanchor 0.0 xalign 0.0
        easein 3.0 ypos 500 yanchor 0.0

transform alina_show:
    easein 0.5 ypos 0 yanchor 0.0

transform stevens_reveal:
    on show:
        xalign 0.5 ypos 1080
        easein 0.5 ypos 700

transform stevens_show:
    easein 0.5 ypos 1080 yanchor 1.0

transform fence_reveal:
    on show:
        xalign 0.5 ypos 1080
        easein 0.5 ypos 892


transform woosh_atl:
    on show:
        xalign 0.0 alpha 1
    on hide:
        linear 0.5 alpha 0

transform snowflake:
    xpos 1000 ypos -10
    linear 1.0 xpos 1050 ypos 190
    linear 1.0 xpos 1000 ypos 380
    linear 1.0 xpos 1050 ypos 575

transform fireworks_atl:
    on show:
        alpha 1
    on hide:
        linear 2.0 alpha 0

image white = "#ffffff"

label main_menu:
    return










label start:
    $ _game_menu_screen = "about"



    scene white

    play music "audio/591353__walkeroo__good-ole-lofi-c-minor-90-bpm.ogg"

    show lazytigerlogo at truecenter with Dissolve(2.0)

    pause 1.0

    hide lazytigerlogo with Dissolve(2.0)

    show stevenstitle zorder 5

    show bg with Dissolve(2.0)

    show snow2
    show snow1
    show snow0 zorder 50

    pause 10

    show stevens zorder 6 at stevens_reveal #with easeinbottom:
        # xalign 0.5
        # ypos 700



    pause 10

    show fence zorder 10 at fence_reveal
    show stevens at stevens_show
    # with easeinbottom

    hide stevenstitle with Dissolve(5.0)

    pause 5





    s "(Singing to himself) Doo doo doo doo dooooooo doo doo"
    s "Doo doo doo doo dooooooo doo doo"
    s "Doo doo doo ohh ohh ohh!"
    s "Doo doodoo doodoo doodoo ahh ahh ahh!"



    show alina zorder 7 at alina_reveal
    play audio "audio/414480__giddster__small-bell-ringing-left.wav"
    pause

    a "Heyyy Stevens."
    s "Hello Alina."
    a "Still enjoying your thing?"
    s "Very much!"
    a "Aren't you getting cold?"
    s "A little, but I'm waiting for the next thing now."
    a "The next thing?"
    s "Yes."
    a "What's the next thing?"
    s "Not sure what it is called either."
    s "But it's the thing that happens after the thing that happens around this time."
    a "Oh, I think I know what you mean."
    a "Don't you find it a little... frightening?"
    s "No, I love it!"
    a "I see..."
    a "Do you want some company again while you wait?"
    s "That would be delightful."

    show alina at alina_show
    play audio "audio/414480__giddster__small-bell-ringing-left.wav"
    pause

    show alina right
    pause
    a "How was your Christmas?"

    show stevens openleft frown raised
    s "Utter chaos!"
    a "Oh?"
    s "There were way too many humans in the house."
    a "Where did they all come from?"
    s "I think all the big ones were from the same litter as my human."
    s "And they all brought their kitten humans along with them."

    show stevens open
    s "They were everywhere!"

    show stevens flat
    s "I enjoy a bit of excitement as much as the next cat."
    s "But this was too much."

    show alina open
    a "That does sound pretty intense."
    s "It was."

    show stevens openleft smile raised
    s "I did get a toy mouse though, that was quite fun."

    show alina smile right
    a "Oh, nice!"
    s "Yes."

    show stevens open frown flat
    s "Although, the introspective cat within does wonder if it was intended as commentary on my tributes."

    show alina frown quiz
    a "How do you mean?"
    s "As in, is it supposed to be a 'trophy' of sorts in recognition of all the gifts I have brought?"
    s "Or is it perhaps a subtle hint that I'm not bringing enough?"
    s "Am I killing too little? Too much? The expected amount?"

    show alina open
    a "Hmmm, good point, it's hard to know."
    s "Indeed."

    show stevens smile
    s "But regardless of the subtext, I love the toy!"

    show alina smile right flat
    a "Well, that's good."
    a "I loved my present too!"

    show stevens openleft smile
    s "Oh, what did you get?"

    show alina raised
    a "A cardboard box!"

    show stevens raised frown
    s "Oh what?! WOW!"
    a "Yeah it was awesome!"

    show alina open
    a "I sat in it all day!"

    show stevens smile
    s "That's so great!"
    a "It was!"

    show alina frown
    a "But I got out of it for a little bit and when I came back it was gone..."

    show stevens frown
    s "Oh no!"
    a "Yeah, I searched everywhere but couldn't find it."
    a "In the end I was so sad, I didn't even sleep in my brand new bed."
    a "I just laid next to it, staring at the ceiling."
    s "A perfectly understandable response."
    a "Yeah, my human reacted as well."
    a "Kept muttering and making gestures every time he walked past."
    a "I guess he was upset the box was missing too."

    show stevens open
    s "Most likely."
    s "Oh well, hopefully it turns back up soon."
    a "Yeah."
    a "I really miss it."
    pause 5

    show alina shook frown raised
    pause 5
    a "..."

    show stevens openleft
    pause 5

    s "Alina?"

    a "My kitty sense is tingling..."

    show stevens smile flat halfleft
    s "Can opener?"
    a "No... this is something else..."
    a "Something... bad..."

    show stevens openleft frown
    s "What is it?"
    a "I'm not sure, something's just not... right..."
    a "..."
    pause 5

    hide alina
    show woosh at woosh_atl
    play audio "audio/woosh.wav"
    play audio "audio/414480__giddster__small-bell-ringing-left.wav"
    hide woosh

    show stevens raised
    pause 5
    s "..."
    show stevens open
    pause 5
    s "Well..."
    pause 5
    s "That was ominous."
    pause 5
    s "..."

    show stevens flat

    pause 5

    s "(Singing to himself) Do you ever feel"
    pause 1
    s "Doo doo doo doo doo"
    pause 1
    s "Doo doo doo doo doo"
    pause 1
    s "Doo doo doo doo doo"
    pause 1

    show alina zorder 7 at alina_reveal
    play audio "audio/414480__giddster__small-bell-ringing-left.wav"
    pause 1
    show stevens openleftdown
    pause 4

    s "Is everything okay?"
    a "Did anything bad happen?"

    show stevens open
    s "Not as far as I could tell..."

    show alina at alina_show
    play audio "audio/414480__giddster__small-bell-ringing-left.wav"
    pause 5

    a "Sorry about that."

    show stevens openleft
    a "Not sure what came over me..."
    s "No need to apologise."
    s "Feeling better?"
    a "Yeah, it's gone now... whatever it was."

    show stevens open
    s "Well, that's good."

    pause 5

    a "Hey, Stevens..."
    s "Yes?"

    a "Have you ever noticed that our names are almost palindromes?"

    show stevens raised
    s "Uh..."
    s "..."
    s "Huh... No... I hadn't noticed that."
    a "Do you think it means anything?"

    show stevens openleft
    s "I..."
    s "Uh..."
    s "Like what?"
    a "Like do our names represent our true selves somehow?"
    a "And does that hint that there's something slightly asymmetrical to our existence?"
    a "Something slightly 'off'? Unbalanced?"
    s "..."
    a "Is there a 'Stevets' and an 'Alila' in a parallel universe somewhere?"
    a "Living perfectly harmonious lives..."
    a "Never hungry."
    a "Or having to wait for things."
    a "Happily content in their cardboard boxes..."
    pause 5
    s "..."
    s "Uh..."
    s "Are you okay?"


    # a "And if everything was reversed, we'd still be essentially the same."
    # a "Except for one small difference."
    # a "But even that difference isn't big enough to render us unrecognisable."
    # a "And we would largely be the same cats in this mirror dimension."

    a "Yeah..."
    a "I just think about stuff like that sometimes..."
    s "..."

    show stevens open
    s "I see..."
    pause 5

    show alina right
    a "Oh I've been meaning to ask."

    show alina smile
    a "How did 'Operation Hairball' go?"

    show stevens half flat
    s "Ah."
    s "It backfired."

    show alina frown raised
    a "Oh?"
    a "What happened?"
    a "Did the hairball get stuck?"
    s "No, that part all went to plan."
    s "And my human was satisfactorily horrified."

    show stevens angy
    s "But unfortunately she didn't associate the protest with my collar."
    s "She thought I was unhappy with the new brand of biscuits I was getting."
    s "Which I was loving."
    s "But now I'm back to the old brand."
    s "Which I don't hate."
    s "But definitely love less."
    a "Oh no!"
    s "Hmmm."

    show stevens flat
    s "So I think I better cut my losses and just live with this stupid collar."
    s "Lest I find myself back on the old old brand."
    s "Which I actually did hate."
    a "I'm so sorry."
    s "It's fine."
    s "But thanks."
    s "I appreciate it."

    show alina open flat
    pause 5

    a "For what it's worth, I do think it is cute."
    pause 1

    show stevens smile

    pause 5

    show alina shook frown raised
    a "Oh no!"

    show stevens openleft raised frown
    a "It's back!"
    s "Oh?"
    a "This feeling..."
    a "I'm really sorry, Stevens."
    a "I really hate to vanish on you again..."
    a "But I just can't shake this sense of dread."
    s "No problem, hope everything is okay."
    a "Me too..."

    hide alina
    show woosh at woosh_atl
    play audio "audio/woosh.wav"
    play audio "audio/414480__giddster__small-bell-ringing-left.wav"
    hide woosh

    pause 5

    show stevens open flat

    pause 5

    s "..."
    pause 5
    s "I wonder what it could be?"

    pause 5

    n "Heyyy!"
    show stevens raised
    n "Stevens!"

    show stevens half flat
    s "Ah."
    s "It all makes sense now."
    n "How are you, big cat?"
    n "Feels like I haven't seen you in forever!"
    s "Indeed, and as such I {i}have{/i} been well."

    show stevens halfleft
    s "And how are-"

    show stevens openleft
    s "Wait... where are you?"
    n "Down here!"

    show stevens opendown
    pause 5
    show stevens raised
    s "What are you doing down there?"
    n "Just on the prowl, you know me."
    s "Regrettably, yes, but you really shouldn't be down there."
    n "Nip goes where Nip wants!"
    s "Uh, sure, but if Geddly sees you he's going to go beserk!"
    n "Pfft, Geddly!"
    n "That hairball doesn't scare me!"
    s "Well its not so much a matter of him being scary."
    s "More that's he is incredibly obnoxious to listen to at the best of times."
    s "And one of us actually being in his yard may take that to a whole new level."
    n "Bring it!"
    show stevens half angy
    pause 5
    n "So Stevens, listen, do know where your human keeps their herb?"
    s "Siiigh..."
    pause 5
    n "My cat?"
    n "Did you hear me?"
    pause 5
    n "Yo Stevens!"

    play audio "audio/326207__blu-150058__barking-dogx3.wav"
    pause 0.25

    show stevens open flat
    pause 0.75

    play audio "audio/415209__inspectorj__cat-screaming-a.wav"

    show stevens opendown
    n "Sweet merciful cats!"

    play audio "audio/326207__blu-150058__barking-dogx3.wav"

    pause 0.5
    n "I'm out!"

    show stevens smile
    pause 1
    s "Ah, Geddly!"
    s "Just in time!"

    play audio "audio/326207__blu-150058__barking-dogx3.wav"
    pause 0.5

    show stevens frown
    pause 0.5
    s "Now now, there's no need to be hostile."
    play audio "audio/326207__blu-150058__barking-dogx3.wav"
    pause 0.5

    show stevens angy
    pause 0.5
    s "Hey, I was just about to thank you-"

    play audio "audio/195869__nikorn69__dog-growl.wav"
    pause 0.5
    show stevens raised
    pause 0.5

    s "WHOA WHOA WHOA!"
    s "WOW!"
    show stevens angy
    s "Okay, listen."
    s "I'm going to let that slide because you just did me a big favour."
    s "But very soon we are going to have a long conversation about the kind of language you use to express your anger."

    play audio "audio/326207__blu-150058__barking-dogx3.wav"
    pause 0.5
    show stevens open
    pause 1

    s "I'll leave when I'm good and ready you insufferable beast!"

    play audio "audio/326207__blu-150058__barking-dogx3.wav"
    pause 1

    s "I won't let you ruin this for me!"
    pause 1

    play audio "audio/140726__j1987__tiny-rocket.ogg" volume 0.25
    pause 1
    show stevens raised
    show fireworks zorder 100 at fireworks_atl
    play audio "audio/588198__el-boss__fireworks-pop-pop-crackle.ogg"
    hide fireworks
    pause 2
    show stevens smile
    play sound "audio/326294__blukotek__cat-purring-3.ogg" volume 0.5 loop
    s "Like you even could."


    play audio "audio/140726__j1987__tiny-rocket.ogg" volume 0.25
    pause 1
    show fireworks zorder 100 at fireworks_atl
    play audio "audio/588198__el-boss__fireworks-pop-pop-crackle.ogg"
    hide fireworks

    "the end{fast}"

    play audio "audio/140726__j1987__tiny-rocket.ogg" volume 0.25
    pause 1
    show fireworks zorder 100 at fireworks_atl
    play audio "audio/588198__el-boss__fireworks-pop-pop-crackle.ogg"
    hide fireworks

    "made by lazytiger{fast}"

    play audio "audio/140726__j1987__tiny-rocket.ogg" volume 0.25
    pause 1
    show fireworks zorder 100 at fireworks_atl
    play audio "audio/588198__el-boss__fireworks-pop-pop-crackle.ogg"
    hide fireworks

    "using ren'py{fast}"

    play audio "audio/140726__j1987__tiny-rocket.ogg" volume 0.25
    pause 1
    show fireworks zorder 100 at fireworks_atl
    play audio "audio/588198__el-boss__fireworks-pop-pop-crackle.ogg"
    hide fireworks

    "music by walkeroo{fast}"

    play audio "audio/140726__j1987__tiny-rocket.ogg" volume 0.25
    pause 1
    show fireworks zorder 100 at fireworks_atl
    play audio "audio/588198__el-boss__fireworks-pop-pop-crackle.ogg"
    hide fireworks

    "sfx by freesound.org{fast}"

    play audio "audio/140726__j1987__tiny-rocket.ogg" volume 0.25
    pause 1
    show fireworks zorder 100 at fireworks_atl
    play audio "audio/588198__el-boss__fireworks-pop-pop-crackle.ogg"
    hide fireworks

    "thanks for playing!{fast}"

    play audio "audio/140726__j1987__tiny-rocket.ogg" volume 0.25
    pause 1
    show fireworks zorder 100 at fireworks_atl
    play audio "audio/588198__el-boss__fireworks-pop-pop-crackle.ogg"
    hide fireworks

    "happy new years!{fast}"

    play audio "audio/140726__j1987__tiny-rocket.ogg" volume 0.25
    pause 1
    show fireworks zorder 100 at fireworks_atl
    play audio "audio/588198__el-boss__fireworks-pop-pop-crackle.ogg"
    hide fireworks

    "enjoy!{fast}"

label fireworks_loop:
    play audio "audio/140726__j1987__tiny-rocket.ogg" volume 0.25
    pause 1
    show fireworks zorder 100 at fireworks_atl
    play audio "audio/588198__el-boss__fireworks-pop-pop-crackle.ogg"
    hide fireworks
    pause 3
    jump fireworks_loop











    # show alina angy
    # show alina flat
    # show alina quiz
    # show alina raised
    # show alina half
    # show alina halfright
    # show alina open
    # show alina right
    # show alina shook
    # show alina frown
    # show alina smile
    #
    # show stevens angy
    # show stevens flat
    # show stevens quiz
    # show stevens raised
    # show stevens half
    # show stevens halfleft
    # show stevens open
    # show stevens opendown
    # show stevens openleft
    # show stevens openleftdown
    # show stevens frown
    # show stevens smile
    #
    # show woosh
    # show fireworks
    #
    # play audio "audio/140726__j1987__tiny-rocket.ogg"
    # play audio "audio/195869__nikorn69__dog-growl.wav"
    # play audio "audio/326207__blu-150058__barking-dogx1.wav"
    # play audio "audio/326207__blu-150058__barking-dogx3.wav"
    # play audio "audio/326294__blukotek__cat-purring-3.ogg"
    # play audio "audio/414480__giddster__small-bell-ringing-left.wav"
    # play audio "audio/415209__inspectorj__cat-screaming-a.wav"
    # play audio "audio/452202__kyles__dog-small-whimper-run.wav"
    # play audio "audio/588198__el-boss__fireworks-pop-pop-crackle.ogg"
    # play audio "audio/woosh.wav"
